import React from 'react';

const ShaperLogo = ({ dark, ...props }) => {
	return (
		<svg className="mt-0" height="32px" viewBox="0 0 800 800" id="shaper-logo" width="32px">
			<g id="800-x-800" fill="none" fillRule="evenodd" stroke="none" strokeWidth="1">
				<path
					d="M258.12455,475.264837 L327.395457,475.264837 C332.013517,504.67459 361.666326,522.174609 401.52748,522.174609 C440.659466,522.174609 467.395605,503.216255 467.395605,477.452339 C467.395605,454.362037 450.86781,441.237023 406.874708,432.243958 L369.930224,424.952283 C299.93015,411.098102 265.65928,377.5564 265.65928,325.2994 C265.65928,261.132665 321.562117,218.597898 399.583033,218.597898 C481.492842,218.597898 533.020675,261.375721 534.235954,325.785512 L464.965047,325.785512 C462.534489,295.889647 436.527517,277.903516 399.583033,277.903516 C363.367717,277.903516 339.062136,294.917423 339.062136,320.681339 C339.062136,342.313307 356.076043,355.681377 397.395531,363.945274 L434.58307,371.480004 C508.715093,386.306409 541.041517,416.202274 541.041517,469.431497 C541.041517,537.973237 487.326182,581.480227 399.583033,581.480227 C315.971834,581.480227 260.312052,541.376018 258.12455,475.264837 Z"
					id="S"
					fill={dark ? '#ffffff' : '#000000'}
				/>
				<circle
					cx="400"
					cy="400"
					fillRule="nonzero"
					id="Oval"
					r="369.5"
					stroke={dark ? '#ffffff' : '#000000'}
					strokeWidth="61"
				/>
			</g>
		</svg>
	);
};

export default ShaperLogo;
